### Method

# Gio DBusConnection get_last_serial

since: 2.34

#### Declaration

    guint32
    g_dbus_connection_get_last_serial (
      GDBusConnection* connection
    )

#### Description

Retrieves the last serial number assigned to a `GDBusMessage` on the current thread. This includes messages sent via both low-level API such as `g_dbus_connection_send_message()` as well as high-level API such as g_dbus_connection_emit_signal(), `g_dbus_connection_call()` or g_dbus_proxy_call().

Available since: 2.34

#### Return value

Type: `guint32`

The last used serial or zero when no message has been sent within the current thread.